<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:rx="http://www.renderx.com/XSL/Extensions"
    version="1.0">
    <xsl:template match="/">
        <fo:root>
            <fo:layout-master-set>
                <fo:simple-page-master margin-top="0pt" margin-left="0pt" margin-bottom="0pt"
                    margin-right="0pt" page-width="100in" page-height="100in" master-name="huge">
                    <fo:region-body margin-top="0pt"/>
                    <fo:region-before extent="0pt"/>
                    <fo:region-after extent="0pt"/>
                </fo:simple-page-master>
            </fo:layout-master-set>
            <fo:page-sequence master-reference="huge">
                <fo:flow flow-name="xsl-region-body">
                    <xsl:apply-templates select="//image"/>
                </fo:flow>
            </fo:page-sequence>
        </fo:root>
    </xsl:template>
    <xsl:template match="image[@scale-all-to-fit = 'true']">
        <fo:block line-height="0pt">
            <fo:external-graphic>
                <xsl:attribute name="src">
                    <xsl:text>url('</xsl:text>
                    <xsl:value-of select="@src"/>
                    <xsl:text>')</xsl:text>
                </xsl:attribute>
            </fo:external-graphic>
        </fo:block>
    </xsl:template>
</xsl:stylesheet>
